

@import url("https://use.typekit.net/vdz5lxq.css");

/* hamburger menu icon */
@font-face{
    font-family: 'FontAwesome';
    src: url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/fonts/fontawesome-webfont.eot?v=4.7.0');
    src: url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/fonts/fontawesome-webfont.eot?#iefix&v=4.7.0') format('embedded-opentype'),url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/fonts/fontawesome-webfont.woff2?v=4.7.0') format('woff2'),url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/fonts/fontawesome-webfont.woff?v=4.7.0') format('woff'),url('../fonts/fontawesome-webfont.ttf?v=4.7.0') format('truetype'),url('https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/fonts/fontawesome-webfont.svg?v=4.7.0#fontawesomeregular') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* gradient parameters */
@keyframes gradient {
	0% {
		background-position: 0% 50%;
	}
	50% {
		background-position: 100% 50%;
	}
	100% {
		background-position: 0% 50%;
	}
}

/* global variables */
:root {
    --width: 900px;
    --narrow-width: 750px;
    /* --offwhite: #cfdae6; */
    --offwhite: #f8f8ff;
    --nearblack: #202020;
    --darkgray: #383838;
    --link-hover: #00ffd5;
    --link: #202020;
/*    --menu-colour: rgba(67, 68, 112, 0.85);*/
    --menu-colour: white;
    --menu-text-colour: #202020;
    /* --footer-colour: rgba(75, 61, 109, 0.30); */
    --footer-colour: rgba(61, 62, 109, 0.30);
    /* --background-colour: #cfbce5; */
    --background-colour: white;
    --background-colour-landing: #d2b6e7;
}

* {
    margin: 0;
    padding: 0;
}

*:focus {
    outline: none !important;
    background: none;
}

body {
    overflow-x: hidden;
    font-family: futura-100-book, sans-serif;
    font-weight: 400;
    font-size: 17px;
    line-height: 1.5;
    color: var(--nearblack);
    background-color: var(--background-colour);
}

b {
    font-family: futura-100, sans-serif;
    font-weight: 600;
    font-style: normal;
}

.home::before {
    content: "";
    position: fixed;
    width: 100%;
    height: 100%;
    z-index: -1;
/*    background: linear-gradient(105deg, #567EB9 0%, #B29ACA 50%, #B29ACA 80%, #F9839B 100%);*/
    background-size: 200% 200%;
    animation: gradient 25s ease infinite;
} 

.home {
    height: 100vh;
}

/* .landing {
    background-image: url("/images/--huddersfield.jpeg");
    background-size: 100%;
    background-repeat: no-repeat;
    background-position: center;
    height: 100vh;
} */

.content {
    min-height: calc(100vh - 304px);
    padding-top: 155px;
    padding-bottom: 75px;
    width: var(--width);
    margin: 0 auto 15px;
}

.narrow {
    width: var(--narrow-width);
    margin: 50px auto;
}

iframe {
    padding-bottom: 45px;
}

h1 {
    font-family: futura-100, sans-serif;
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 2.7rem;
    color: var(--nearblack);
    padding-bottom: 26px;
    letter-spacing: 0.15rem;
    text-transform: uppercase;
}

h2 {
    font-family: futura-100-book, sans-serif;
    font-weight: 400;
}

h3 {
    font-family: futura-100, sans-serif;
    font-weight: 600;
}

#blue-playlist-container {
    padding-bottom: 60px;
}

h3 {
    padding-top: 25px;
    padding-bottom: 10px;
    font-size: 1.4rem;
    color: var(--nearblack);
}

h3 a {
    color: var(--link);
}

.nolink a {
    color: var(--nearblack);
}

h4 {
    font-weight: normal;
    font-style: normal;
    font-size: 1.2rem;
    padding-top: 15px;
}

h4 a {
    color: var(--link);
}

h5 {
/*    font-weight: 300;*/
    font-weight: normal;
    font-style: normal;
    font-size: 1.1rem;
    padding-top: 5px;
}

h6 {
    padding-top: 22px;
    font-size: 1.3rem;
    font-weight: normal;
    color: var(--nearblack);
}

h6 a {
    color: var(--nearblack);
}

h6 a:hover {
    color: var(--nearblack);
    background-color: var(--link-hover);
    font-weight: normal;
}

h7 {
    display: block ;
    font-weight: normal;
    font-style: normal;
    font-size: 1.2rem;
    padding-top: 6px;
}

H7 a {
    color: var(--nearblack);
}

h8 {
    display: block;
    color: var(--nearblack);
    font-size: 1.8rem;
    padding-top: 36px;
    margin-bottom: -15px;
}

H9 {
    display: block;
    font-weight: normal;
    font-style: normal;
    font-size: 1.2rem;
    padding-top: 13px;
}

H9 a {
    color: var(--nearblack);
}

p {
    font-weight: normal;
    padding-top: 4px;
    padding-bottom: 6px;
    color: var(--darkgray);
}

p.work {
    padding: 2px 0 0 0;
}

p.instrumentation {
    padding: 0 0 6px 15px;
    font-style: italic;
}

span.work-title {
    white-space: nowrap;
    overflow: hidden;
}

.strike {
    text-decoration: line-through;
}

.name {
    white-space: nowrap;
}

.address {
    margin-top: -7px;
}

.indent {
    padding-left: 20px;
}

.dur {
    font-style: italic;
    margin-top: -10px;
}

.centre {
    text-align: center;
    font-family: futura-100, sans-serif;
    font-weight: 600;
    padding-top: 15px;
    padding-bottom: 30px;
}

a {
    text-decoration: none;
    color: var(--link);
    -webkit-tap-highlight-color: transparent;
}

a:hover {
    color: var(--link-hover);
}

.jump {
    display: grid;
    grid-template-columns: 1fr 1fr;
    padding-bottom: 30px;
}

.jump H3 {
    padding-top: 0;
}

.map {
    text-align: right;
}

.topnav {
    overflow: hidden; 
    background: transparent;
    position: relative;
    top: 0;
}

.sidebyside {
    display: none;
    justify-content: flex-end;
}

.sidebyside-child {
    flex: 0 1 auto;
} 

.sidebyside-child:first-child {
    margin-right: 10px;
}

.topnav a {
    text-align: right;
    color: #f8f8ff;
    text-decoration: none;
    font-size: 1.3rem;
    font-weight: normal;
    display: block;
} 

.subLinks {
    z-index: 2000;
    position: absolute;
    right: 320px;
    padding: 14px 14px 14px 0;
}

.subLinks a {
    padding-bottom: 14px;
}
  
.mainLinks {
    margin: 0; 
    flex-basis: auto;
    width: 320px;
    padding: 14px 35px 14px 0;
    line-height: 1.5rem;
}

.mainLinks a {
    padding-bottom: 14px; 
}  

.head {
    display: flex;
}

.hamburger {
    width: 100%;
    display: inline-block;
    cursor: pointer;
    padding: 15px 20px;
}

.logo {
    padding: 22px;
}

.logo_img {
    padding: 30px 20px 20px 35px;
    float: left;
    width: 225px;
    /*-webkit-filter: invert(100%);
    filter: invert(100%);*/
    position: absolute;
    z-index: 1000;
}

.landing_img {
    width: 100%;
    filter: grayscale(100%);
/*    opacity: 0.1;*/
}

.bar1, .bar2, .bar3 {
    width: 35px;
    height: 3px;
    background-color: #f8f8ff;
    margin-top: 8px;
    margin-bottom: 8px;
    margin-right: 0;
    margin-left: auto;
    transition: 0.4s;
  }
   
  .change .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
    background-color: var(--menu-text-colour);
  }
  
  .change .bar2 {opacity: 0;}
  
  .change .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
    background-color: var(--menu-text-colour);
  }

  .change2 .bar1 {
    -webkit-transform: rotate(-45deg) translate(-9px, 6px);
    transform: rotate(-45deg) translate(-9px, 6px);
    background-color: #f8f8ff;
  }
  
  .change2 .bar2 {opacity: 0;}
  
  .change2 .bar3 {
    -webkit-transform: rotate(45deg) translate(-8px, -8px);
    transform: rotate(45deg) translate(-8px, -8px);
    background-color: #f8f8ff;
  }

.topnav a:hover {
    background: transparent;
    color: var(--link-hover);
    animation: none;
}

a.orchestraLink, a.hs2020Link, a.calloutLink {
    display: block;
}



.active {
    background: transparent;
}

.tenney {
    display: block;
    width: 350px;
    margin-left: auto;
    margin-right: auto;
}

figcaption {
    margin-top: 40px;
    padding-bottom: 2px;
    font-size: 0.7rem;
    font-style: italic;
    color: var(--darkgray);
}

.headshot-img {
    width: 250px;
    margin-bottom: -10px;
    margin-top: 2px;
    /* filter: grayscale(100%); */
}

.doc-img {
    margin-top: 2px;
    width: 100%;
}

.hso-img {
    /* filter: grayscale(100%); */
    width: 100%;
}

.right {
    text-align: right;
}

.right-img {
    margin-left: calc(var(--width) - 250px);
}

.hkf {
    padding-top: 0px;
    width: 150px;
}

.quickfigure {
    width: 65%;
    margin-left: auto;
    margin-right: auto;
}

.anchor {
    padding: 9px;
}

.latticediv-1{
    position: fixed;
    height: 90vh;
    z-index: -1;
}

.latticediv-2{
    position: fixed;
    display: none;
    height: 100%;
    z-index: -1;
}

.lattice {
    display: block;
    width: 100vw;
    position: absolute;  
    top: 0;  
    bottom: 0;  
    left: 0;  
    right: 0;  
    margin: auto;
}

footer {
    width: 100%;
    padding: 20px;
    /* background-color: var(--footer-colour); */
    color: var(--nearblack);
    text-align: center;
    font-size: 0.8rem;
}

.black {
    color: var(--nearblack);
}

.white {
    color: #f8f8ff;
}















/* NAVIGATION MENU */

ul {
    list-style: none;
    margin: 0;
    padding: 0;
}
menu, menu label {
    position: absolute;
    top: 0;
    right: 0;
    z-index: 2000;
}
menu {
    margin: 0;
}
menu input[type=checkbox] {
    display: none;
}
menu input[type=checkbox]:checked + .drawer-list {
    transform: translatex(0);
    border-bottom-left-radius: 0;
}
menu input[type=checkbox]:checked + .drawer-list li {
    transform: translatex(0);
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(1) {
    transition: transform 0.5s 0.02s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(2) {
    transition: transform 0.5s 0.04s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(3) {
    transition: transform 0.5s 0.06s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(4) {
    transition: transform 0.5s 0.08s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(5) {
    transition: transform 0.5s 0.1s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(6) {
    transition: transform 0.5s 0.12s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(7) {
    transition: transform 0.5s 0.14s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(8) {
    transition: transform 0.5s 0.16s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(9) {
    transition: transform 0.5s 0.18s ease;
}
menu input[type=checkbox]:checked + .drawer-list li:nth-child(10) {
    transition: transform 0.5s 0.2s ease;
}

menu input[type=checkbox]:checked + .drawer-list li a {
    padding-right: 0;
}

@media (min-width: 768px) {
    menu input[type=checkbox]:checked + .drawer-list li a {
        padding-right: 20px;
    }
}

menu input[type=checkbox]:checked ~ hamburger > i {
    background-color: transparent;
    transform: rotate(90deg);
}
menu input[type=checkbox]:checked ~ hamburger > i:before {
    transform: translate(-50%, -50%) rotate(315deg);
    background-color: var(--menu-text-colour);
}
menu input[type=checkbox]:checked ~ hamburger > i:after {
    transform: translate(-50%, -50%) rotate(-315deg);
    background-color: var(--menu-text-colour);
}
menu input[type=checkbox]:checked ~ hamburger close {
    color: var(--nearblack);
    width: 100%;
}
menu input[type=checkbox]:checked ~ hamburger open {
    color: transparent;
    width: 0;
}
menu .drawer-list {
    position: fixed;
    right: 0;
    top: 0;
    height: 100vh;
    width: 100vw;
    transform: translate(100vw, 0);
   /* ie workaround */
    -ms-transform: translatex(-100vw);
    box-sizing: border-box;
    pointer-events: none;
    padding-top: 100px;
/*    transition: width 475ms ease-out, transform 450ms ease, border-radius .8s .1s ease;*/
    transition: width 475ms ease-out, transform 450ms ease;
/*    border-bottom-left-radius: 100vw;*/
    background-color: var(--menu-colour);
    border-left: 1px solid var(--nearblack);
}
@media (min-width: 768px) {
    menu .drawer-list {
        width: 400px;
   }
}
menu .drawer-list ul {
    width: 100%;
    margin: 0;
    padding: 0;
    overflow: auto;
    overflow-x: hidden;
    pointer-events: auto;
    float: none;
}

@media (min-width: 768px) {
    menu .drawer-list ul {
        width: 293px;
        float: right;
     }
}


menu .drawer-list li {
    list-style: none;
    pointer-events: auto;
    white-space: nowrap;
    box-sizing: border-box;
    transform: translatex(100vw);
   /* ie workaround */
    -ms-transform: translatex(-100vw);
}
menu .drawer-list li:last-child {
    margin-bottom: 2em;
}
menu .drawer-list li a {
    text-decoration: none;
    color: var(--menu-text-colour);
    text-align: center;
    display: block;
    padding: .5rem;
    font-size: 1.2rem;
    line-height: 1.5rem;
}
@media (min-width: 768px) {
    menu .drawer-list li a {
        font-size: 1.2rem;
        line-height: 1.5rem;
        text-align: left;
   }

   ul#submenu {
    padding-top: 5rem;
   }

   ul#submenu a {
        text-align: right;
        padding-right: 30px;
   }
}
.projectsLink, .hs2020Link, .calloutLink {
    display: none;
}
.hs2020Link {
    padding-top: 40px;
}
#submenu > .hs2020Link ~ .hs2020Link {
    padding: 0;
}
.calloutLink {
    padding-top: 105px;
}
#submenu > .calloutLink ~ .calloutLink {
    padding: 0;
}
menu .drawer-list li a:hover {
    cursor: pointer;
    color: #00ffd5;
}
menu hamburger {
    position: fixed;
    display: block;
    top: 35px;
    right: 35px;
    height: 40px;
    width: 20px;
}
menu hamburger:hover {
    cursor: pointer;
}
menu hamburger > i {
    position: absolute;
    width: 100%;
    height: 2px;
    top: 50%;
    background-color: var(--nearblack);
    pointer-events: auto;
}
menu hamburger > i:before, menu hamburger > i:after {
    position: absolute;
    display: block;
    width: 100%;
    height: 2px;
    left: 50%;
    background: var(--nearblack);
    content: "";
    transition: transform 1s;
    transform-origin: 50% 50%;
}
menu hamburger > i:before {
    transform: translate(-50%, -8px);
}
menu hamburger > i:after {
    transform: translate(-50%, 8px);
}































@media (max-width: 1360px) {
    /*.logo_img {
        padding: 30px 20px 20px 20px;
    }*/
}


/* tweaks for tablet */

@media (max-width: 925px) {
    :root {
        --width: 600px;
        --narrow-width: 600px;
    }

    .head {
        display: block;
    }

    .map {
        text-align: center;
        padding-top: 20px;
    }

    .latticediv-1{
        display: none;
    }
    
    .latticediv-2{
        display: block;
    }

    .lattice {
        height: 100vh;
        width: auto;
    }

    .quickfigure {
        width: 100%;
    }

    .logo_img {
/*        padding-top: 20px;*/
    }

    menu hamburger {
/*        top: 20px;*/
    }

}

/* tweaks for mobile */

@media (max-width: 600px) {
    :root {
        --width: 100%;
        --narrow-width: 100%;
    }

    body::before{
        margin-left: -20px;
    }

    .landing {
        background-image: url("/images/lattice.png");
    }

    body {
        padding-left: 20px;
        padding-right: 20px;
        font-size: 12px;
    }

    img.logo_img {
        margin-left: -20px;
    }

    .hs2020Link {
        padding: 0;
    }

    .calloutLink {
        padding: 0;
    }

    h1 {
        font-size: 2rem;
        line-height: 2.2rem;
    }

    p {
        font-size: 0.85rem;
    }

    h3, h4, H7, H9 {
        font-size: 1rem;
    }

    .topnav {
        margin: 0 -20px;
    }

    .topnav a {
        padding: 14px 20px;
        font-size: 1.1rem;
    }   

    button {
        font-size: 2rem;
        width: 350px;
    }
        
    .line2 {
        padding-left: 50px;
    }
    
    .line3 {
        padding-left: 110px;
    }
    
    .line4 {
        padding-left: 145px;
    }

    .date{
        font-size: 1.5rem;
    }

    footer {
        margin: 0 -20px;
    }
}



.live-item {
    padding-bottom: 20px;
}